Package org.codehaus.groovy

# Class GroovyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.groovy.GroovyException

All Implemented Interfaces:
  `java.io.Serializable`, `GroovyExceptionInterface`

Direct Known Subclasses:
  `ReadException`, `SyntaxException`

    public class GroovyException
    extends java.lang.Exception
    implements GroovyExceptionInterface

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroovyException()` |
  `GroovyException​(boolean fatal)` |
  `GroovyException​(java.lang.String message)` |
  `GroovyException​(java.lang.String message, boolean fatal)` |
  `GroovyException​(java.lang.String message, java.lang.Throwable cause)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isFatal()` |
  `void` | `setFatal​(boolean fatal)` |

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroovyException

    public GroovyException()

  - ### GroovyException

    public GroovyException​(java.lang.String message)

  - ### GroovyException

    public GroovyException​(java.lang.String message, java.lang.Throwable cause)

  - ### GroovyException

    public GroovyException​(boolean fatal)

  - ### GroovyException

    public GroovyException​(java.lang.String message, boolean fatal)

- ## Method Details

  - ### isFatal

    public boolean isFatal()
    Specified by:
      `isFatal` in interface `GroovyExceptionInterface`

  - ### setFatal

    public void setFatal​(boolean fatal)
    Specified by:
      `setFatal` in interface `GroovyExceptionInterface`